# VelocityVectorProperty

#### new Cesium.VelocityVectorProperty(position, normalize)
DataSources/VelocityVectorProperty.js 43

A `Property` which evaluates to a `Cartesian3` vector based on the velocity of the provided `PositionProperty`.

Name | Type | Default | Description
--- | --- | --- | ---
`position` | Property |  | optional The position property used to compute the velocity.
`normalize` | Boolean | `true` | optional Whether to normalize the computed velocity vector.

##### Example:

    //Create an entity with a billboard rotated to match its velocity.
    var position = new Cesium.SampledProperty();
    position.addSamples(...);
    var entity = viewer.entities.add({
      position : position,
      billboard : {
        image : 'image.png',
        alignedAxis : new Cesium.VelocityVectorProperty(position, true) // alignedAxis must be a unit vector
      }
    }));

### Members

#### readonlydefinitionChanged : Event
DataSources/VelocityVectorProperty.js 72

Gets the event that is raised whenever the definition of this property changes.

#### readonlyisConstant : Boolean
DataSources/VelocityVectorProperty.js 60

Gets a value indicating if this property is constant.

#### normalize : Boolean
DataSources/VelocityVectorProperty.js 113

Gets or sets whether the vector produced by this property will be normalized or not.

#### position : Property
DataSources/VelocityVectorProperty.js 83

Gets or sets the position property used to compute the velocity vector.

### Methods

#### equals(other) → Boolean
DataSources/VelocityVectorProperty.js 204

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getValue(time, result) → Cartesian3
DataSources/VelocityVectorProperty.js 140

Gets the value of the property at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | optional The time for which to retrieve the value.
`result` | Cartesian3 | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.